Расширенный
База уязвимостей

Некорректная проверка входных данных

18 мая 2021
Уровень опасности
Оценка CVSS
(AV:N/AC:M/Au:N/C:P/I:N/A:N)
Производитель ПО
Наименование ПО
Foxit Reader (10.1.4.37651, 9.0.0.29935)
Описание
Уязвимость в Foxit Reader, связанная с обработкой U3D-объектов в PDF-файлах и некорректной проверкой предоставляемых пользователем данных, позволяет злоумышленникам, действующим удаленно, вызвать чтение за пределами выделенного объекта и получить доступ к важной информации, убедив пользователя открыть вредоносную страницу или вредоносный файл. Атакующий может использовать данную уязвимость совместно с другими уязвимостями для выполнения произвольного кода в контексте текущего процесса.
Как исправить
Для устранения уязвимости необходимо установить последнюю версию продукта, соответствующую используемой платформе. Необходимую информацию можно получить по адресу:
https://www.foxitsoftware.com/
Ссылки
Источник: CVE
Наименование: CVE-2021-31443
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-31443